p=Port.unique()
r=Port.unique()

cap=Capability(p,Private.encode(0,Rights.NEG_LIFE|Rights.NEG_CPU,r))

print(Port.toString(r))
print(Capability.toString(cap))

print(Private.rights_check(cap.cap_priv,r,Rights.NEG_LIFE))
